# vkCmdBeginDebugUtilsLabelEXT(3) Manual Page

## Name

vkCmdBeginDebugUtilsLabelEXT - Open a command buffer debug label region

## C Specification

A command buffer debug label region can be opened by calling:

    void vkCmdBeginDebugUtilsLabelEXT(
        VkCommandBuffer                             commandBuffer,
        const VkDebugUtilsLabelEXT*                 pLabelInfo);

## Parameters

- `commandBuffer` is the command buffer into which the command is recorded.

- `pLabelInfo` is a pointer to a VkDebugUtilsLabelEXT structure specifying parameters of the label region to open.

## Description

Valid Usage (Implicit)

- `commandBuffer` must be a valid VkCommandBuffer handle

- `pLabelInfo` must be a valid pointer to a valid VkDebugUtilsLabelEXT structure

- `commandBuffer` must be in the recording state

- The `VkCommandPool` that `commandBuffer` was allocated from must support graphics, or compute operations

Host Synchronization

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
Primary Secondary | Both | Graphics Compute |

## See Also

VkCommandBuffer, VkDebugUtilsLabelEXT

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.